Subject: Re: [Policy] Re: draft-reyes-policy-core-ext-schema-03.txt

From: "Larry S. Bartz" <[email-masked]>
Date: Fri, 29 Aug 2003 16:23:50 -0500

Wijnen, Bert (Bert) wrote, On 08/29/03 10:14:
> What an underwhelming interest in this document.
> 
> When I start reading it, I see in the abstract:
>    This document defines a number of changes and extensions to the
>    Policy Core LDAP Schema [PCLS] based on the specifications of the
>    Policy Core Information Model Extensions [PCIM_EXT]. The changes
>    include additional object classes previously not covered, deprecation
>    of some object classes and changes to the object class hierarchy
>    defined in [PCLS].
> 
> And so I immediately wonder... is it really OK that this document
> deprecates some object classes ??
> 
> Possibly so... but I'd like to hear some of the PCIM, PCIM-EXT and
> PCLS authors/ediotrs to explicitly say so. PLEASE!
> 
> Thanks,
> Bert 

I argued several months ago that it is actually unnecessary to
deprecate any of PCLS's information components. There are no
naming clashes with PCLS components. The proposed deprecation
only insures that PCLS and this schema will not be able to
co-exist in the same Directory implementations. This is counter
to the spirit of "extension". It casts a negative light on an
elegant and highly serviceable information model and schema
definition.

Further, another commenter (I believe it was Kurt Zielenga) asserted
that the specification of deprecation is inappropriate in a schema
standards document. Rather, deprecation is to be asserted by
Directory service implementers in the course of managing instances
of the Directory service.

-- 
--
#::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::|
# Larry Bartz
#
#  voice (317) 226-7060
#  FAX   (317) 226-6378
#::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::|

_______________________________________________
Policy mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/policy

---

From: Ryan Moats <[email-masked]>
Date: Sat, 30 Aug 2003 16:21:52 -0500

On Fri, Aug 29, 2003 at 04:23:50PM -0500, Larry S. Bartz wrote:
| Wijnen, Bert (Bert) wrote, On 08/29/03 10:14:
| > What an underwhelming interest in this document.
| > 
| > When I start reading it, I see in the abstract:
| >    This document defines a number of changes and extensions to the
| >    Policy Core LDAP Schema [PCLS] based on the specifications of the
| >    Policy Core Information Model Extensions [PCIM_EXT]. The changes
| >    include additional object classes previously not covered, deprecation
| >    of some object classes and changes to the object class hierarchy
| >    defined in [PCLS].
| > 
| > And so I immediately wonder... is it really OK that this document
| > deprecates some object classes ??
| > 
| > Possibly so... but I'd like to hear some of the PCIM, PCIM-EXT and
| > PCLS authors/ediotrs to explicitly say so. PLEASE!
| > 
| > Thanks,
| > Bert 

I have to admit that I'm not sold on the idea of deprecating classes for 
the following reasons:

1. I see no justification for why it's being proposed.

2. Most of the deprecations I see could be handled via inheritance
and semantics changes.  This would allow the items wanted without
changing the parent objects.

Ryan Moats